Need Data!

Moderator: crythias

Post Reply
vinesh
OTRS expert
Posts: 76
Joined: 01 Sep 2012, 09:51
OTRS Version?: 5.0.16
Real Name: Vinesh Narayanan
Company: NTS

Need Data!

Post by vinesh » 03 Dec 2014, 10:02

I am getting lots of Need Data! error on my OTRS system, After checking OTRS logs i found below error messages but i am not able to find out which Ticket ACL is giving error to compare data. i have almost more then 30 ACL how to find it out...please help me. thank you.

[Wed Dec 3 13:21:44 2014][Error][Kernel::System::Ticket::TicketACL::_CompareMatchWithData][2110] Need Data!
[Wed Dec 3 13:21:44 2014][Error][Kernel::System::Ticket::TicketACL::_CompareMatchWithData][2110] Need Data!
[Wed Dec 3 13:21:44 2014][Error][Kernel::System::Ticket::TicketACL::_CompareMatchWithData][2110] Need Data!
[Wed Dec 3 13:21:44 2014][Error][Kernel::System::Ticket::TicketACL::_CompareMatchWithData][2110] Need Data!
[Wed Dec 3 13:21:44 2014][Error][Kernel::System::Ticket::TicketACL::_CompareMatchWithData][2110] Need Data!
[Wed Dec 3 13:21:44 2014][Error][Kernel::System::Ticket::TicketACL::_CompareMatchWithData][2110] Need Data!
[Wed Dec 3 13:21:44 2014][Error][Kernel::System::Ticket::TicketACL::_CompareMatchWithData][2110] Need Data!
[Wed Dec 3 13:21:44 2014][Error][Kernel::System::Ticket::TicketACL::_CompareMatchWithData][2110] Need Data!
[Wed Dec 3 13:21:44 2014][Error][Kernel::System::Ticket::TicketACL::_CompareMatchWithData][2110] Need Data!
[Wed Dec 3 13:21:44 2014][Error][Kernel::System::Ticket::TicketACL::_CompareMatchWithData][2110] Need Data!

I checked my database too.
Database changed
mysql> check table ticket;
+-------------+-------+----------+----------+
| Table | Op | Msg_type | Msg_text |
+-------------+-------+----------+----------+
| otrs.ticket | check | status | OK |
+-------------+-------+----------+----------+
1 row in set (0.40 sec)

crythias
Moderator
Posts: 10096
Joined: 04 May 2010, 18:38
OTRS Version?: 5.0.x
Location: SouthWest Florida, USA
Contact:

Re: Need Data!

Post by crythias » 03 Dec 2014, 14:23

Are you running 3.1.10? If not, please update your signature (see mine).

You will get limited, if any, support for <3.3 currently on this board.
OTRS 5.0.x (private/testing/public) on Linux with MySQL database. Also on github.
Please edit your signature to include your OTRS version, Operating System, and database type.
Click Subscribe Topic below to get notifications. Consider amending your topic title to include [SOLVED] if it is so.
Need help? Before you ask

vinesh
OTRS expert
Posts: 76
Joined: 01 Sep 2012, 09:51
OTRS Version?: 5.0.16
Real Name: Vinesh Narayanan
Company: NTS

Re: Need Data!

Post by vinesh » 03 Dec 2014, 16:48

hi crythias i am upgraded from 3.3.8 to 4.0.1...3.3.8 was working good without any errors after i upgraded i had lots of issues which was fixed myself but this errors continued until now. If i disable some ACL's then there is no errors but when i activate it throws errors as mentioned in the 1st post.

crythias
Moderator
Posts: 10096
Joined: 04 May 2010, 18:38
OTRS Version?: 5.0.x
Location: SouthWest Florida, USA
Contact:

Re: Need Data!

Post by crythias » 03 Dec 2014, 17:07

Think of this in terms of random people reading this post and never seeing any other post you've ever written. How can that person replicate your experience?
OTRS 5.0.x (private/testing/public) on Linux with MySQL database. Also on github.
Please edit your signature to include your OTRS version, Operating System, and database type.
Click Subscribe Topic below to get notifications. Consider amending your topic title to include [SOLVED] if it is so.
Need help? Before you ask

vinesh
OTRS expert
Posts: 76
Joined: 01 Sep 2012, 09:51
OTRS Version?: 5.0.16
Real Name: Vinesh Narayanan
Company: NTS

Re: Need Data!

Post by vinesh » 03 Dec 2014, 17:16

crythias i not clear with your question what you have replied me....please be clear. i have posted many post replied promptly after the issue is resolved.

crythias
Moderator
Posts: 10096
Joined: 04 May 2010, 18:38
OTRS Version?: 5.0.x
Location: SouthWest Florida, USA
Contact:

Re: Need Data!

Post by crythias » 03 Dec 2014, 17:45

Please provide steps, screen shots, etc. to give someone an idea the changes you've made to your system that work or provide specific errors. Every posted topic is self-contained. Do not expect anyone to have any idea of history of your changes. If they read this topic, they will only read this in the context of what you post for this topic. If you say "I get errors" and don't explain the changes to your system, it can't be addressed.
OTRS 5.0.x (private/testing/public) on Linux with MySQL database. Also on github.
Please edit your signature to include your OTRS version, Operating System, and database type.
Click Subscribe Topic below to get notifications. Consider amending your topic title to include [SOLVED] if it is so.
Need help? Before you ask

vinesh
OTRS expert
Posts: 76
Joined: 01 Sep 2012, 09:51
OTRS Version?: 5.0.16
Real Name: Vinesh Narayanan
Company: NTS

Re: Need Data!

Post by vinesh » 05 Dec 2014, 12:03

hi cythias until today afternoon my OTRS version was 4.0.1-02 and today afternoon i have upgraded to 4.0.2-01 and all working fine without any issues and errors now. Thanks.

Post Reply